This page describes the API endpoint contract, which is the same regardless of the serving infrastructure. Storefront API endpoints are served by
API Platform (recommended) or the legacy Glue infrastructure; Backend API endpoints currently run on the Glue infrastructure.
This endpoint lets you start picking.
Installation
For detailed information about the modules that provide the API functionality and related installation instructions, see:
Start picking of a picklist
POST /picking-lists/{{picklist_id}}/start-picking
| PATH PARAMETER |
DESCRIPTION |
| {{picklist_id}} |
ID of the picklist to start picking of. To get it, retrieve picklists. |
Request
| HEADER KEY |
HEADER VALUE |
REQUIRED |
DESCRIPTION |
| Authorization |
string |
✓ |
Alphanumeric string that authorizes the warehouse user to send requests to protected resources. Get it by authenticating as a warehouse user. |
| STRING PARAMETER |
DESCRIPTION |
EXEMPLARY VALUES |
| include |
Adds resource relationships to the request. |
users, warehouses |
| REQUEST |
USAGE |
POST https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/start-picking |
Start picking the picklist with the specified ID. |
POST https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/start-picking?include=users |
Start picking the picklist with the specified ID. Include information about the authenticated user into the response. |
POST https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/start-picking?include=warehouses |
Start picking the picklist with the specified ID. Include information about the warehouse the order is fulfilled in. |
Response
Response sample: Start picking the picklist with the specified ID.
{
"data": {
"type": "picking-lists",
"id": "910a4d20-59a3-5c49-808e-aa7038a59313",
"attributes": {
"status": "picking-started",
"createdAt": "2023-11-13 13:33:03.000000",
"updatedAt": "2023-11-13 13:42:29.739183"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313"
}
}
}
Response sample: Start picking the picklist with the specified ID. Include information about the authenticated user.
{
"data": {
"type": "picking-lists",
"id": "460a5030-1e06-545f-81ee-05299f239fd4",
"attributes": {
"status": "picking-started",
"createdAt": "2023-11-13 13:52:56.000000",
"updatedAt": "2023-11-14 08:35:05.355155"
},
"relationships": {
"users": {
"data": [
{
"type": "users",
"id": "0c1b09b7-fb51-5fdc-9ef0-1c809d7d99da"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/460a5030-1e06-545f-81ee-05299f239fd4/picking-lists/460a5030-1e06-545f-81ee-05299f239fd4?include=users"
}
},
"included": [
{
"type": "users",
"id": "0c1b09b7-fb51-5fdc-9ef0-1c809d7d99da",
"attributes": {
"username": "[email protected]",
"firstName": "Herald",
"lastName": "Hopkins"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/460a5030-1e06-545f-81ee-05299f239fd4/users/0c1b09b7-fb51-5fdc-9ef0-1c809d7d99da?include=users"
}
}
]
}
Pick an item in the picklist with the specified ID. Include information about the warehouse the order is fulfilled in.
{
"data": {
"type": "picking-lists",
"id": "460a5030-1e06-545f-81ee-05299f239fd4",
"attributes": {
"status": "picking-started",
"createdAt": "2023-11-13 13:52:56.000000",
"updatedAt": "2023-11-14 08:35:05.000000"
},
"relationships": {
"warehouses": {
"data": [
{
"type": "warehouses",
"id": "834b3731-02d4-5d6f-9a61-d63ae5e70517"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/460a5030-1e06-545f-81ee-05299f239fd4/picking-lists/460a5030-1e06-545f-81ee-05299f239fd4?include=warehouses"
}
},
"included": [
{
"type": "warehouses",
"id": "834b3731-02d4-5d6f-9a61-d63ae5e70517",
"attributes": {
"name": "Warehouse1",
"uuid": "834b3731-02d4-5d6f-9a61-d63ae5e70517",
"isActive": true
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/460a5030-1e06-545f-81ee-05299f239fd4/warehouses/834b3731-02d4-5d6f-9a61-d63ae5e70517?include=warehouses"
}
}
]
}
| RESOURCE |
ATTRIBUTE |
TYPE |
DESCRIPTION |
| picking-lists |
status |
String |
Status of the picking list based on your configuration. |
| picking-lists |
createdAt |
Date |
The date and time when the picklist was generated. |
| picking-lists |
updatedAt |
Date |
The latest date and time when the picklist was updated. |
| RESOURCE |
ATTRIBUTE |
TYPE |
DESCRIPTION |
| users |
username |
String |
Username of the user you are authenticated with. |
| users |
firstName |
String |
First name. |
| users |
lastName |
String |
Last name. |
| RESOURCE |
ATTRIBUTE |
TYPE |
DESCRIPTION |
| warehouses |
name |
Integer |
Name of the warehouse. |
| warehouses |
isActive |
Boolean |
Defines if the warehouse is active. |
Possible errors
| CODE |
DESCRIPTION |
| 5303 |
The picklist with the specified ID doesn’t exist. |
To view generic errors that originate from the Glue Application, see Reference information: GlueApplication errors.